#ifndef __ScreenState
#define __ScreenState

#include <stdint.h>

typedef enum { Counter, Menu } Screen;


extern Screen currentScreen;


extern void setCurrentScreen(Screen value);

extern uint8_t getScreenInvalidated();
extern uint8_t peekScreenInvalidated();
extern void setScreenInvalidated();

#endif